<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCategoryTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create("category", function (Blueprint $table) {
            $table->id();
            $table->timestamps();

            $table->text("name");
            $table->text("description")->nullable();
            $table->text("thumbnail")->nullable();
            $table->integer("sort_order")->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists("category");
    }
}
